%YAML 1.1
---
gfVersion: v1.0
class: app

name: hello-world-gf
description: Description of app
repo_uri: https://gitlab.com/geneflow/apps/app-template.git
version: '0.1'
inputs:
  file:
    label: Input File
    description: Input file
    type: File
parameters:
  output:
    label: Output File
    description: Output file
    type: File
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-hello-world-gf-0.1{{ revision }}
{% endif %}
  local:
    script: hello-world-gf.sh
...